[gtk-doc] tests: fill some missing docs, add one more fail-test



commit 6e331ee9d79e894ae401cee0285f71ef717e6fb7
Author: Stefan Kost <ensonic users sf net>
Date:   Sun Dec 27 00:29:27 2009 +0200

    tests: fill some missing docs, add one more fail-test
    
    The fail test will work with the next commit

 tests/bugs/docs/tester-sections.txt |    2 +-
 tests/bugs/src/tester.h             |   13 ++++++++-----
 tests/fail.sh                       |    5 +++++
 3 files changed, 14 insertions(+), 6 deletions(-)
---
diff --git a/tests/bugs/docs/tester-sections.txt b/tests/bugs/docs/tester-sections.txt
index e5e2231..7308123 100644
--- a/tests/bugs/docs/tester-sections.txt
+++ b/tests/bugs/docs/tester-sections.txt
@@ -3,6 +3,7 @@
 <TITLE>GtkdocTester</TITLE>
 Bug165425a
 Bug165425b
+Bug324535
 Bug446648
 Bug512154
 
@@ -10,7 +11,6 @@ BUG_530758
 
 bug_141869_a
 bug_141869_b
-bug_324535
 bug_379466
 bug_380824
 bug_411739
diff --git a/tests/bugs/src/tester.h b/tests/bugs/src/tester.h
index 99264e0..488f4f3 100644
--- a/tests/bugs/src/tester.h
+++ b/tests/bugs/src/tester.h
@@ -4,7 +4,7 @@
 #include <glib.h>
 
 /**
- * bug_324535:
+ * Bug324535:
  * @BUG_324535_A: enum 1
  * @BUG_324535_B: enum 2
  * @BUG_324535_C: enum 3
@@ -16,18 +16,21 @@ typedef enum {
 #ifdef GTK_DISABLE_DEPRECATED
   BUG_324535_B,
 #endif
-  BUG_324535_C,
-} bug_324535;
+  BUG_324535_C
+} Bug324535;
 
 
 /**
  * bug_501038:
+ * @a: value
+ * @b: deprecated value
+ * @_b: scrambled deprecated value
  *
  * http://bugzilla.gnome.org/show_bug.cgi?id=501038
  */
 struct _bug_501038 {
   gint a;
-#ifdef GTK_DISABLE_DEPRECATED
+#ifndef GTK_DISABLE_DEPRECATED
   gint b;
 #else
   gint _b;
@@ -53,7 +56,6 @@ struct _bug_460127 {
     } ABI;
     gpointer _reserved[_PADDDING + 0];
   } abidata;
-
 };
 
 
@@ -192,6 +194,7 @@ typedef char const * (*bug_544172) (char const *self);
 
 /**
  * bug_554833:
+ * @i: value;
  *
  * http://bugzilla.gnome.org/show_bug.cgi?id=554833
  */
diff --git a/tests/fail.sh b/tests/fail.sh
index 6e193a9..6139ed9 100755
--- a/tests/fail.sh
+++ b/tests/fail.sh
@@ -27,6 +27,11 @@ grep >/dev/null "tester_noshortdesc:Short_Description" $DOC_MODULE-undocumented.
 if test $? = 1 ; then failed=$(($failed + 1)); fi
 tested=$(($tested + 1))
 
+# check incomplete enum
+grep >/dev/null "Bug568711 (<items>)" $DOC_MODULE-undocumented.txt
+if test $? = 1 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
 # summary
 rate=$((100*($tested - $failed)/$tested));
 echo "$rate %: Checks $tested, Failures: $failed"



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]